Bug 609995 - Typos and enhancements in text
Typos and enhancements in text
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Developer_Guide (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Don Domingo
Michal Nowak
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 07:48 EDT by Michal Nowak
Modified: 2013-03-07 21:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:29:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2010-07-01 07:48:10 EDT
Typos in DevGuide6
==================

I just have read http://brisvegas.bne.redhat.com/rhel6-devguide/index-single.html and found there few typos and parts which you might want to enhance:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

"compat-libstdc++-296 (Red Hat Enterprise 2.1)"
->
"compat-libstdc++-296 (Red Hat Enterprise Linux 2.1)"

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Re: "Ancient SUSE". What's the source of this sentence? Description in spec file says:
"""
This package includes a GCC 3.2.3-RH compatibility compiler.
"""
See: https://brewweb.devel.redhat.com/buildinfo?buildID=136030

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Here we have "static" URI file:///usr/share/doc/boost-doc-1.41.0/index.html however we usually use URIs this way: file:///usr/share/doc/boost-doc-version/index.html.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

(missing 'be')
"Hover help for all installed libhover libraries is enabled by default, and it can disabled per project."
->
"Hover help for all installed libhover libraries is enabled by default, and it can be disabled per project."

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

We don't have python-2.6.4, just 2.6.2, however just "version" seems to me more appropriate:
file:///usr/share/doc/python-docs-2.6.4/html/index.html
->
file:///usr/share/doc/python-docs-version/html/index.html

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

"""
3.8.2. Java
The java-1.6.0-openjdk package adds support for the Java programming language. This package provides the java interpreter. The java-1.6.0-openjdk-devel package contains the libraries and header files needed for developing Java extensions.
"""

...and notably, java-1.6.0-openjdk-devel contains the `javac` compiler.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Re: 4.1.  Compiling with GNU GCC: remove spaces:
"Section 4.1.2, “ Using GCC Tools ”" -> "Section 4.1.2, “Using GCC Tools”"

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

"""
Since the release of Red Hat Enterprise Linux 6, GCC has had three major releases: 4.2.x, 4.3.x, and 4.4.x.
"""
->
"""
Since the release of Red Hat Enterprise Linux 5, GCC has had three major releases: 4.2.x, 4.3.x, and 4.4.x.
"""

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

elfutils has nothing to do with compiling, as opposite to binutils, however tools from elfutils package are usefull when inspecting object resulted from compilation, such as object files and binaries:
"""
In addition, you can also install elfutils  to add ELF-specific compiling features.
"""

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In: "4.1.3.  GCC Documentation" links should be updated to point to 4.4.4 release.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In: "4.3.3. Autotools Documentation" link http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Autotools_Plug-In_for_Eclipse/index.html is dead.

as well as http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/GDB_and_Python_Pretty_Printers/ in "5.4. Python Pretty-Printers"

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In TOC there's Karsten's name in link text: "4.3. Autotools (Karsten Hopp)"

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Just to note we provide -debuginfo packages for all arch-dependant, that means non-noarch, packages.
"""
Red Hat Enterprise Linux also provides -debuginfo  packages for nearly all RPMs included in the operating system.
"""

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Not sure if "programme" is correct US English.
"programme" -> "program"

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In "5.2.2. Running GDB", it's not common to write program with indentation of four spaces, common is to start w/o spaces

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In this guide is mostly used file:///PATH/... not just /PATH/...
/usr/share/doc/valgrind-version/valgrind_manual.pdf  and /usr/share/doc/valgrind-version/html/index.html
+ /usr/share/doc/oprofile-version/
+ /usr/share/doc/oprofile-version/oprofile.html
+ /usr/share/doc/oprofile-version/internals.html

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

"""
kernel-version-devel, kernel-version-debuginfo, and kernel-version-debuginfo-common.
"""
kernel-2.6.32-33.el6.x86_64
kernel-debuginfo-common-x86_64-2.6.32-37.el6.x86_64
kernel-headers-2.6.32-37.el6.x86_64
kernel-devel-2.6.32-33.el6.x86_64

So it's: e.g. kernel-devel-version

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 1 RHEL Product and Program Management 2010-07-01 08:03:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Don Domingo 2010-07-07 22:41:43 EDT
(In reply to comment #0)
> Typos in DevGuide6
> ==================
> 
> I just have read
> http://brisvegas.bne.redhat.com/rhel6-devguide/index-single.html and found
> there few typos and parts which you might want to enhance:
> 
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> "compat-libstdc++-296 (Red Hat Enterprise 2.1)"
> ->
> "compat-libstdc++-296 (Red Hat Enterprise Linux 2.1)"
> 

corrected
http://brisvegas.bne.redhat.com/rhel6-devguide/libraries.libstdcxx.html
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> Re: "Ancient SUSE". What's the source of this sentence? Description in spec
> file says:
> """
> This package includes a GCC 3.2.3-RH compatibility compiler.
> """
> See: https://brewweb.devel.redhat.com/buildinfo?buildID=136030
> 

removed "Ancient SUSE"
http://brisvegas.bne.redhat.com/rhel6-devguide/libraries.libstdcxx.html
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> Here we have "static" URI file:///usr/share/doc/boost-doc-1.41.0/index.html
> however we usually use URIs this way:
> file:///usr/share/doc/boost-doc-version/index.html.
> 
> 

corrected
http://brisvegas.bne.redhat.com/rhel6-devguide/boost.docs.html

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> (missing 'be')
> "Hover help for all installed libhover libraries is enabled by default, and it
> can disabled per project."
> ->
> "Hover help for all installed libhover libraries is enabled by default, and it
> can be disabled per project."
> 
> 

corrected
http://brisvegas.bne.redhat.com/rhel6-devguide/libhover.html
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> We don't have python-2.6.4, just 2.6.2, however just "version" seems to me more
> appropriate:
> file:///usr/share/doc/python-docs-2.6.4/html/index.html
> ->
> file:///usr/share/doc/python-docs-version/html/index.html
> 
> 

corrected
http://brisvegas.bne.redhat.com/rhel6-devguide/ch-lib-othersupport.html#libraries.python
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> """
> 3.8.2. Java
> The java-1.6.0-openjdk package adds support for the Java programming language.
> This package provides the java interpreter. The java-1.6.0-openjdk-devel
> package contains the libraries and header files needed for developing Java
> extensions.
> """
> 
> ...and notably, java-1.6.0-openjdk-devel contains the `javac` compiler.
> 
> 

revised:

<quote>
The java-1.6.0-openjdk-devel package contains the javac compiler, as well as the libraries and header files needed for developing java extensions
</quote>
http://brisvegas.bne.redhat.com/rhel6-devguide/libraries.java.html
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> Re: 4.1.  Compiling with GNU GCC: remove spaces:
> "Section 4.1.2, “ Using GCC Tools ”" -> "Section 4.1.2, “Using GCC Tools”"
> 
> 

done
http://brisvegas.bne.redhat.com/rhel6-devguide/compilers.html#using.gcc.tools
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> """
> Since the release of Red Hat Enterprise Linux 6, GCC has had three major
> releases: 4.2.x, 4.3.x, and 4.4.x.
> """
> ->
> """
> Since the release of Red Hat Enterprise Linux 5, GCC has had three major
> releases: 4.2.x, 4.3.x, and 4.4.x.
> """
> 

corrected
http://brisvegas.bne.redhat.com/rhel6-devguide/compilers.html#gcc.features
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> elfutils has nothing to do with compiling, as opposite to binutils, however
> tools from elfutils package are usefull when inspecting object resulted from
> compilation, such as object files and binaries:
> """
> In addition, you can also install elfutils  to add ELF-specific compiling
> features.
> """
> 

removed sentence altogether
http://brisvegas.bne.redhat.com/rhel6-devguide/compilers.html#using.gcc.tools
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> In: "4.1.3.  GCC Documentation" links should be updated to point to 4.4.4
> release.
> 

done
http://brisvegas.bne.redhat.com/rhel6-devguide/compilers.html#gcc.docs
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> In: "4.3.3. Autotools Documentation" link
> http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Autotools_Plug-In_for_Eclipse/index.html
> is dead.
> 

this book will be up on GA.

> as well as
> http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/GDB_and_Python_Pretty_Printers/
> in "5.4. Python Pretty-Printers"
> 
> 

same here

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> In TOC there's Karsten's name in link text: "4.3. Autotools (Karsten Hopp)"
> 
> 
weird; must be a build artifact. removed name altogether (used to be tagged as comment)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> Just to note we provide -debuginfo packages for all arch-dependant, that means
> non-noarch, packages.
> """
> Red Hat Enterprise Linux also provides -debuginfo  packages for nearly all RPMs
> included in the operating system.
> """
> 
> 

revised as:

<quote>
Red Hat Enterprise Linux also provides -debuginfo packages for all architecture-dependent RPMs included in the operating system.
</quote>
http://brisvegas.bne.redhat.com/rhel6-devguide/debugging.html#intro.debuginfo
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> Not sure if "programme" is correct US English.
> "programme" -> "program"
> 
> 

corrected (at least, the ones i could find throughout the "Debugging" chapter)
http://brisvegas.bne.redhat.com/rhel6-devguide/index-single.html
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> In "5.2.2. Running GDB", it's not common to write program with indentation of
> four spaces, common is to start w/o spaces
> 
> 

removed indentation at start
http://brisvegas.bne.redhat.com/rhel6-devguide/runninggdb.html

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> In this guide is mostly used file:///PATH/... not just /PATH/...
> /usr/share/doc/valgrind-version/valgrind_manual.pdf  and
> /usr/share/doc/valgrind-version/html/index.html
> + /usr/share/doc/oprofile-version/
> + /usr/share/doc/oprofile-version/oprofile.html
> + /usr/share/doc/oprofile-version/internals.html
> 

done

> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> """
> kernel-version-devel, kernel-version-debuginfo, and
> kernel-version-debuginfo-common.
> """
> kernel-2.6.32-33.el6.x86_64
> kernel-debuginfo-common-x86_64-2.6.32-37.el6.x86_64
> kernel-headers-2.6.32-37.el6.x86_64
> kernel-devel-2.6.32-33.el6.x86_64
> 
> So it's: e.g. kernel-devel-version
> 

revised as:

kernel-variant-devel-version
kernel-variant-debuginfo-common-version
kernel-variant-debuginfo-version

http://brisvegas.bne.redhat.com/rhel6-devguide/systemtap.html

> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 6 releng-rhel@redhat.com 2010-11-11 10:29:07 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.